summaryrefslogtreecommitdiff
path: root/bin/hackers-git-update
diff options
context:
space:
mode:
authorLuke Shumaker <lukeshu@lukeshu.com>2017-12-18 14:12:58 -0500
committerLuke Shumaker <lukeshu@lukeshu.com>2017-12-18 14:12:58 -0500
commit4fe3beabbc1718fd8ecc72e85439ab92b8be61d3 (patch)
tree7da621a5ec5bba052bb7010a5afcadb98ac670ee /bin/hackers-git-update
parentdb07948255b26e83d4ca4c82965f807f83c03898 (diff)
Diffstat (limited to 'bin/hackers-git-update')
-rwxr-xr-xbin/hackers-git-update29
1 files changed, 29 insertions, 0 deletions
diff --git a/bin/hackers-git-update b/bin/hackers-git-update
new file mode 100755
index 0000000..d9d9fc6
--- /dev/null
+++ b/bin/hackers-git-update
@@ -0,0 +1,29 @@
+#!/usr/bin/env bash
+# Copyright 2014, 2016-2017 Luke Shumaker <lukeshu@sbcglobal.net>.
+#
+# This is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License as
+# published by the Free Software Foundation; either version 2 of
+# the License, or (at your option) any later version.
+#
+# This software is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public
+# License along with this manual; if not, see
+# <http://www.gnu.org/licenses/>.
+
+{
+ set -e
+ mydir="$(dirname "$0")"
+ gitdir="$(ruby -e "load '$mydir/common.rb'; print File.dirname cfg['yamldir']")"
+ echo '==> Updating system checkout...'
+ (
+ unset GIT_DIR
+ cd "$gitdir"
+ git pull
+ )
+ run-parts --arg="$gitdir" -- /etc/parabola-hackers/hooks
+}